function f=fun_markov_reduction(x)


global alpha beta gamma_g gamma_c gamma_l delta tau_kf tau_nf tau_f Indicator r_bar Reduction

if (Indicator==1)
    
    tau_n = x;
    tau_k = 0;
    tau   = 0;
    
elseif (Indicator==2)
    
    tau_n = 0;
    tau_k = x;
    tau   = 0;
    
elseif (Indicator==3)
    
    tau_n = 0;
    tau_k = 0;
    tau   = x;
    
end
 

if (Reduction==1)
    
    mu_0=(1-alpha)*(tau_n+tau)+alpha*(tau_k+tau)*(1-delta/r_bar);
    
    mu_f=(1-alpha)*(tau_nf+tau_f)+alpha*(tau_kf+tau_f)*(1-delta/r_bar);
    
    s_f=delta*alpha*beta*(1-(tau_kf+tau_f)*(1-delta/r_bar))/(1-beta*(1-delta));
     
    temp=(1-alpha)*(1-tau_nf-tau_f)/(1-s_f-mu_f)*gamma_c/gamma_l;
    
    n_f=temp/(1+temp);
    
    temp_1=delta*beta/(1-s_f-mu_f)*(alpha*(1-(tau_kf+tau_f)*(1-delta/r_bar))+s_f*(1-delta)/delta);
    temp_2=1-mu_0;
    
    s_0=temp_2*temp_1/(1+temp_1);
    
    temp=(1-alpha)*(1-tau_n-tau)/(1-s_0-mu_0)*gamma_c/gamma_l;
    n_0=temp/(1+temp);
    
elseif (Reduction==0)
    

    mu_0=alpha*(tau_k+tau)+(1-alpha)*(tau_n+tau);
    mu_f=alpha*(tau_kf+tau_f)+(1-alpha)*(tau_nf+tau_f);
    
    s_f=delta*alpha*beta*(1-(tau_kf+tau_f))/(1-beta*(1-delta));
    
    temp=(1-alpha)*(1-tau_nf-tau_f)/(1-s_f-mu_f)*gamma_c/gamma_l;
    
    n_f=temp/(1+temp);
    
    temp_1=delta*beta/(1-s_f-mu_f)*(alpha*(1-(tau_kf+tau_f))+s_f*(1-delta)/delta);
    temp_2=1-mu_0;
    
    s_0=temp_2*temp_1/(1+temp_1);
    
    temp=(1-alpha)*(1-tau_n-tau)/(1-s_0-mu_0)*gamma_c/gamma_l;
    n_0=temp/(1+temp);    
    
end


f=(gamma_c+gamma_g)*(alpha*beta*delta/(1-(1-delta+alpha*delta)*beta)*(log(s_0)+beta/(1-beta)*log(s_f))+...
                     (1-alpha)*(1-beta*(1-delta))/(1-(1-delta+alpha*delta)*beta)*(log(n_0)+beta/(1-beta)*log(n_f)))+...
    gamma_c*log(1-s_0-mu_0)+gamma_c*beta/(1-beta)*log(1-s_f-mu_f)+...
    gamma_l*log(1-n_0)+gamma_l*beta/(1-beta)*log(1-n_f)+...
    gamma_g*log(mu_0)+gamma_g*beta/(1-beta)*log(mu_f);

f=(gamma_c+gamma_g)*(alpha*beta*delta/(1-(1-delta+alpha*delta)*beta)*log(s_0)+...
                     (1-alpha)*(1-beta*(1-delta))/(1-(1-delta+alpha*delta)*beta)*log(n_0))+...
    gamma_c*log(1-s_0-mu_0)+gamma_l*log(1-n_0)+gamma_g*log(mu_0);

if (s_f<0 || s_0<0 || n_0<0 || n_f<0 || mu_0<0 || mu_f<0 || 1-s_0-mu_0<0 || 1-s_f-mu_f<0 || n_0>1 ||n_f>1)
    
    f=-100000000;
    
end
 

f=-f;
end